#!/bin/bash
source /root/envsetup/global-conf.sh

apt-get update
apt-get install -y -o Dpkg::Options::="--force-confold" curl

# Download config file from skyreach
if ( ! test -z ${SKYREACH_API_KEY} ); then
	conf_url="https://$SKYREACH_HOST/erp/credentials/$SKYREACH_API_KEY/conf.sh"
	if ( curl -I "$conf_url" >/dev/null ); then
		wget -q "$conf_url" -O /root/envsetup/auto-generated-conf.sh
		echo "Config file updated."
		source /root/envsetup/global-conf.sh
	else
		echo "Failed to download configuration using url:"
		echo "    $conf_url"
	fi
else
	echo "No API key for $SKYREACH_HOST. The config will not be downloaded."
fi
